zttest(8)

NAME
zttest — Test if the zaptel timer provides timely response

SYNOPSIS
zttest [ -v ]

DESCRIPTION
zttest zttest runs a timing test in a loop and prints the result of each loop. The test is as follows: It reads 8192 bytes from the zaptel timer device (/dev/zap/pseudo). This should take exactly 8000 ms . It uses calls to gettimeofday(2) before and after that read to check that indeed exactly 8000ms have passed. Values of 100% and 99.99% Are normally considered a definite pass. Values of 99.98% and 99.97% are probably OK as well.

OPTIONS
-v
    Be more verbose: print one line per test.

FILES
/dev/zap/pseudo
The device file used to access the zaptel timer.

SEE ALSO
zttool(8), ztmonitor(8), ztspeed(8), ztcfg(8), asterisk(8). gettimeofday(2)

AUTHOR
This manual page was written by Tzafrir Cohen <tzafrir.cohen@xorcom.com> Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.